Bug 1542537 - tox -epep8 fails with ERROR: Generated roles file not match
Summary: tox -epep8 fails with ERROR: Generated roles file not match
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 12.0 (Pike)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1486191
TreeView+ depends on / blocked
 
Reported: 2018-02-06 14:38 UTC by Attila Fazekas
Modified: 2018-03-28 17:17 UTC (History)
4 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.3-24.el7ost
Doc Type: Bug Fix
Doc Text:
For the Red Hat OpenStack Platform 13 (Queens) release, the upstream split out the roles into separate files that could be used to generate the roles_data.yaml file. A sample roles_data.yaml file is already provided that uses the default hostname for the Compute role will result in a *-compute-* hostname. The role/Compute.yaml file incorrectly used the *-novacompute-* hostname. As a reult, this inconsistency from the previous releases when using the roles/Compute.yaml file to generate the roles_data.yaml file caused issues during upgrades. With this update, the hostname override in roles/Compute.yaml file has been removed. As a result, using the roles/Compute.yaml file when creating the roles_data.yaml file is consistent with the previous releases.
Clone Of:
Environment:
Last Closed: 2018-03-28 17:16:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:17:11 UTC

Description Attila Fazekas 2018-02-06 14:38:35 UTC
Description of problem:
$ tox -epep8
...

pep8 runtests: commands[3] | bash -c ./tools/roles-data-validation.sh
WARNING:test command found but not installed in testenv
  cmd: /usr/bin/bash
  env: /tmp/openstack-tripleo-heat-templates/.tox/pep8
Maybe you forgot to specify a dependency? See also the whitelist_externals envconfig setting.
Generating /tmp/tmp.VPryKRFDe5/roles_data.yaml
Generating /tmp/tmp.VPryKRFDe5/roles_data_undercloud.yaml
Performing diff on /tmp/openstack-tripleo-heat-templates/roles_data.yaml /tmp/tmp.VPryKRFDe5/roles_data.yaml... ERROR: Generated roles file not match the current /tmp/openstack-tripleo-heat-templates/roles_data.yaml
Please make sure to update the appropriate roles/* files.
Here is the diff /tmp/openstack-tripleo-heat-templates/roles_data.yaml /tmp/tmp.VPryKRFDe5/roles_data.yaml
162a163
>   HostnameFormatDefault: '%stackname%-novacompute-%index%'
ERROR: InvocationError: '/usr/bin/bash -c ./tools/roles-data-validation.sh'
_____________________________________________________________________________________________________ summary _____________________________________________________________________________________________________
ERROR:   pep8: commands failed

Version-Release number of selected component (if applicable):
06c3578b13befea71b6efe78910bb95accdf6736

Comment 5 Gurenko Alex 2018-03-07 08:20:53 UTC
Verified on puddle 2018-02-27.3

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-7.0.9-2.el7ost.noarch

[stack@undercloud-0 ~]$ bash -c $(locate roles-data-validation.sh)
Generating /tmp/tmp.nTlXXO5hJq/roles_data.yaml
Generating /tmp/tmp.nTlXXO5hJq/roles_data_undercloud.yaml
Performing diff on /usr/share/openstack-tripleo-heat-templates/roles_data.yaml /tmp/tmp.nTlXXO5hJq/roles_data.yaml... OK!
Performing diff on /usr/share/openstack-tripleo-heat-templates/roles_data_undercloud.yaml /tmp/tmp.nTlXXO5hJq/roles_data_undercloud.yaml... OK!

Comment 8 errata-xmlrpc 2018-03-28 17:16:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.